Index: converters/lhco2root.cpp
===================================================================
--- converters/lhco2root.cpp	(revision 1fa50c28409a44b952b4b2f1a0c4f30a60f8cc50)
+++ converters/lhco2root.cpp	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -17,34 +17,34 @@
  */
 
-#include <stdexcept>
 #include <iostream>
 #include <sstream>
-
-#include <stdlib.h>
+#include <stdexcept>
+
 #include <signal.h>
 #include <stdio.h>
-
+#include <stdlib.h>
+
+#include "TApplication.h"
 #include "TROOT.h"
-#include "TApplication.h"
-
+
+#include "TDatabasePDG.h"
 #include "TFile.h"
+#include "TLorentzVector.h"
 #include "TObjArray.h"
+#include "TParticlePDG.h"
 #include "TStopwatch.h"
-#include "TDatabasePDG.h"
-#include "TParticlePDG.h"
-#include "TLorentzVector.h"
-
-#include "modules/Delphes.h"
-#include "classes/DelphesStream.h"
+
 #include "classes/DelphesClasses.h"
 #include "classes/DelphesFactory.h"
-
+#include "classes/DelphesStream.h"
+#include "modules/Delphes.h"
+
+#include "ExRootAnalysis/ExRootProgressBar.h"
+#include "ExRootAnalysis/ExRootTreeBranch.h"
 #include "ExRootAnalysis/ExRootTreeWriter.h"
-#include "ExRootAnalysis/ExRootTreeBranch.h"
-#include "ExRootAnalysis/ExRootProgressBar.h"
 
 using namespace std;
 
-static const int kBufferSize  = 1024;
+static const int kBufferSize = 1024;
 
 /*
@@ -74,5 +74,4 @@
 
 private:
-
   void AddMissingEvents();
 
@@ -86,5 +85,9 @@
   void AnalyseMissingET(ExRootTreeBranch *branch);
 
-  enum {kIntParamSize = 2, kDblParamSize = 7};
+  enum
+  {
+    kIntParamSize = 2,
+    kDblParamSize = 7
+  };
   Int_t fIntParam[kIntParamSize];
   Double_t fDblParam[kDblParamSize];
@@ -106,5 +109,4 @@
   ExRootTreeBranch *fBranchJet;
   ExRootTreeBranch *fBranchMissingET;
-
 };
 
@@ -169,5 +171,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid event format" << endl;
+      cerr << "** ERROR: "
+           << "invalid event format" << endl;
       return kFALSE;
     }
@@ -195,5 +198,6 @@
     if(!rc)
     {
-      cerr << "** ERROR: " << "invalid object format" << endl;
+      cerr << "** ERROR: "
+           << "invalid object format" << endl;
       return kFALSE;
     }
@@ -201,10 +205,10 @@
     switch(fIntParam[1])
     {
-      case 0: AnalysePhoton(fBranchPhoton); break;
-      case 1: AnalyseElectron(fBranchElectron); break;
-      case 2: AnalyseMuon(fBranchMuon); break;
-      case 3: AnalyseTau(fBranchJet); break;
-      case 4: AnalyseJet(fBranchJet); break;
-      case 6: AnalyseMissingET(fBranchMissingET); break;
+    case 0: AnalysePhoton(fBranchPhoton); break;
+    case 1: AnalyseElectron(fBranchElectron); break;
+    case 2: AnalyseMuon(fBranchMuon); break;
+    case 3: AnalyseTau(fBranchJet); break;
+    case 4: AnalyseJet(fBranchJet); break;
+    case 6: AnalyseMissingET(fBranchMissingET); break;
     }
   }
@@ -228,5 +232,5 @@
   LHCOEvent *element;
 
-  element = static_cast<LHCOEvent*>(branch->NewEntry());
+  element = static_cast<LHCOEvent *>(branch->NewEntry());
 
   element->Number = fEventNumber;
@@ -240,5 +244,5 @@
   Photon *element;
 
-  element = static_cast<Photon*>(branch->NewEntry());
+  element = static_cast<Photon *>(branch->NewEntry());
 
   element->Eta = fDblParam[0];
@@ -254,5 +258,5 @@
   Electron *element;
 
-  element = static_cast<Electron*>(branch->NewEntry());
+  element = static_cast<Electron *>(branch->NewEntry());
 
   element->Eta = fDblParam[0];
@@ -261,5 +265,5 @@
 
   element->Charge = fDblParam[4] < 0.0 ? -1 : 1;
-/*
+  /*
   element->Ntrk = TMath::Abs(fDblParam[4]);
 */
@@ -273,5 +277,5 @@
   Muon *element;
 
-  element = static_cast<Muon*>(branch->NewEntry());
+  element = static_cast<Muon *>(branch->NewEntry());
 
   element->Eta = fDblParam[0];
@@ -280,5 +284,5 @@
 
   element->Charge = fDblParam[4] < 0.0 ? -1 : 1;
-/*
+  /*
   element->Ntrk = TMath::Abs(fDblParam[4]);
 
@@ -296,5 +300,5 @@
   Jet *element;
 
-  element = static_cast<Jet*>(branch->NewEntry());
+  element = static_cast<Jet *>(branch->NewEntry());
 
   element->Eta = fDblParam[0];
@@ -308,5 +312,5 @@
 
   element->Charge = fDblParam[4] < 0 ? -1 : 1;
-/*
+  /*
   element->Ntrk = TMath::Abs(fDblParam[4]);
 */
@@ -320,5 +324,5 @@
   Jet *element;
 
-  element = static_cast<Jet*>(branch->NewEntry());
+  element = static_cast<Jet *>(branch->NewEntry());
 
   element->Eta = fDblParam[0];
@@ -327,5 +331,5 @@
 
   element->Mass = fDblParam[3];
-/*
+  /*
   element->Ntrk = TMath::Abs(Int_t(fDblParam[4]));
 */
@@ -336,5 +340,5 @@
 
   element->EhadOverEem = fDblParam[6];
-/*
+  /*
   element->Index = fIntParam[0];
 */
@@ -347,5 +351,5 @@
   MissingET *element;
 
-  element = static_cast<MissingET*>(branch->NewEntry());
+  element = static_cast<MissingET *>(branch->NewEntry());
 
   element->Phi = fDblParam[1];
@@ -376,5 +380,6 @@
   if(argc < 2)
   {
-    cout << " Usage: " << appName << " output_file" << " [input_file(s)]" << endl;
+    cout << " Usage: " << appName << " output_file"
+         << " [input_file(s)]" << endl;
     cout << " output_file - output file in ROOT format," << endl;
     cout << " input_file(s) - input file(s) in LHCO format," << endl;
@@ -456,6 +461,5 @@
 
       ++i;
-    }
-    while(i < argc);
+    } while(i < argc);
 
     cout << "** Exiting..." << endl;
@@ -474,4 +478,2 @@
   }
 }
-
-
